export abstract class ControlModel {
  public abstract get object(): Record<string, unknown>;
  public abstract set object(obj: Record<string, unknown>);

  public update (): void {
    this.verify ();
  }

  public abstract verify(): void;
}
